#ifndef RENDER_WND_SELECT_SHADER_H
#define RENDER_WND_SELECT_SHADER_H
#include <QWidget>
#include <QDialog>

class QLineEdit;
class WndCreateMat : public QDialog {
    Q_OBJECT

public:
    explicit WndCreateMat(QWidget *parent, const std::vector<std::string> &items,
        std::string &outShader,std::string& outMatName);

protected:
    void keyPressEvent(QKeyEvent *event) override;

private:
    void OnBtnClicked();

private:
    std::string *out_shader{};
    std::string * out_matName{};
    QLineEdit *m_tex{};
};



#endif //RENDER_WND_SELECT_SHADER_H
